## ros-eloquent-urdfdom-py 1.0.0

=== debian/changelog ===
ros-eloquent-urdfdom-py (1.0.0-1bionic) bionic; urgency=high

  * Add in support for the version tag. (#52 <https://github.com/ros/urdf_parser_py/issues/52>) (#54 <https://github.com/ros/urdf_parser_py/issues/54>)
  * ROS 2 Port (reopened) (#53 <https://github.com/ros/urdf_parser_py/issues/53>)
  * Contributors: Chris Lalancette, Henning Kayser

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-eloquent-urdfdom-py (0.4.1-1bionic) bionic; urgency=high

  * Python 3 fixes (#38 <https://github.com/ros/urdf_parser_py/issues/38> #43 <https://github.com/ros/urdf_parser_py/issues/43> #48 <https://github.com/ros/urdf_parser_py/issues/48>)
  * Remove old example test (#37 <https://github.com/ros/urdf_parser_py/issues/37>)
  * Contributors: Chris Lalancette, Eric Cousineau, Markus Grimm, Timon Engelke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 22 Oct 2019 00:00:00 -0000

ros-eloquent-urdfdom-py (0.4.0-1bionic) bionic; urgency=high

  * Add Link.visual and Link.collision properties (#28 <https://github.com/ros/urdf_parser_py/issues/28>)
  * Add tests for mutli-visual and multi-collision
  * links and collisions load properly as aggregates
  * Add XPath information when a parse error is encountered
  * Remove travis support. (#22 <https://github.com/ros/urdf_parser_py/issues/22>)
  * Reformat python code to pep8 standard (#21 <https://github.com/ros/urdf_parser_py/issues/21>)
  * Update core.py to allow passing addHeader arg to to_xml_string function (#19 <https://github.com/ros/urdf_parser_py/issues/19>)
  * fixed defaults for xyz/rpy, fixed set_default for Param, added unit tests (#16 <https://github.com/ros/urdf_parser_py/issues/16>)
  * Make unit test run with catkin_make run_tests (#15 <https://github.com/ros/urdf_parser_py/issues/15>)
  * Contributors: Chris Lalancette, Chris Paxton, Eric Cousineau, Shane Loretz, Will Baker, eugene-katsevman

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 21 Feb 2018 00:00:00 -0000

ros-eloquent-urdfdom-py (0.3.3-1bionic) bionic; urgency=high

  * Made Chris and Shane the maintainers
  * Added python-lxml to the travis build.
  * Reverted line break (ros/urdfdom#77 <https://github.com/ros/urdfdom/pull/77>) now that there is a more generic solution. (#5 <https://github.com/ros/urdf_parser_py/issues/5>)
  * Added line break to make errors easier to read. (#4 <https://github.com/ros/urdf_parser_py/issues/4>)
  * Contributors: Chris Lalancette, Isaac I.Y. Saito

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Feb 2017 00:00:00 -0000

ros-eloquent-urdfdom-py (0.3.1-1bionic) bionic; urgency=high

  * Add travis
  * Add package.xml for ROS release
  * Tweak CMakeLists to reflect migration from urdfdom
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 22 Feb 2016 00:00:00 -0000

ros-eloquent-urdfdom-py (0.3.0-1bionic) bionic; urgency=high

  * [urdf_parser_py] Add missing newline
  * color and texture in link material are optional
  * fixed transmission parser to match specification
    http://wiki.ros.org/urdf/XML/Transmission#A.3Ctransmission.3E_Elements
    proper unittest for urdf_parser_py
    - added transmission parsing tests
  * Merge pull request #59 <https://github.com/ros/urdf_parser_py/issues/59> from goretkin/goretkin-optional-calibration
    joint calibration is optional
  * made hardware interface optional in both transmission actuator and joint
  * joint calibration is optional
    according to http://wiki.ros.org/urdf/XML/joint
  * set limit(upper/lower), safety_controller(soft_upper/lower_limit, k_position) is optional
  * urdf_parser_py.xml_reflection : python 3 compatibility
    Substitute 'Exception, e' with Exception as e. This ensure compatibility with Python 3 and Python 2.6,2.7 .
    Check https://docs.python.org/3/howto/pyporting.html#capturing-the-currently-raised-exception for more info.
  * urdf_parser_py: Confirmed that both new transmissions are parseable in the same robot.
    test: Added in specific test for tranmsissions. Have it print the type.
    @todo: Make this a unittest.
  * urdf_parser_py: Added attribute preservation for xmlr.RawType (i.e., <gazebo reference="..."/>)
  * urdf_parser_py: Parsing new transmission format works. Need to add in test for old PR2 transmission types.
    test/calvin: Added in generated Calvin URDF provided by v4hn
    test/romeo: Reformatted to match Calvin test
  * urdf_parser_py.urdf: Adding duck-typed parsing for ros_control and PR2 transmissions.
  * [urdf_parser_py] Python3 compatibility
  * Contributors: Antonio El Khoury, Doug Sievers, Eric Cousineau, Gustavo Goretkin, Ioan A Sucan, Ioan Sucan, Jackie Kay, Kei Okada, Kelsey Hawkins, Séverin Lemaignan, Tamaki Nishino, Thomas Moulard, VahidAminZ, Vincent Rabaud, eacousineau, isucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 16 Feb 2016 00:00:00 -0000

ros-eloquent-urdfdom-py (0.2.9-1bionic) bionic; urgency=high

  * add xml_reflection to the install rule
  * use install-layout deb
  * install urdf_python_py with plain cmake
  * xml_reflection: Moved into urdf_parser_py
  * urdf_parser_py, xml_reflection: Removed catkin build stuff
  * urdf_parser_py, xml_reflection: Remove runtime dependencies on rospy, roslib.
    Will remove catkin from setup.py, along with CMakeLists.txt files
  * README.md: Moving into urdf_parser_py
  * urdf/Transmission: Uncommented line. Need to figure out how to make transmission types more flexible (for usage with ros_control)
  * urdf: Commented out transmissions -- need to address more generalized plugins (see ros_control packages)
  * urdf: Made sure that geometry children constraint does not count comments
    Removed .pyc files
    Conflicts:
    .gitignore
  * Added in some compatibility methods / accessors for calibration stack
  * CMakeLists.txt: Reflected path change {examples => scripts}/display_urdf
    package.xml's: Removed python export path (does not apply)

